GMime-3.2.7

Introduction à GMime

Le paquet GMime contient un ensemble d'utilitaires pour analyser et créer les messages en utilisant MIME (l'extension de courriel multi-usage) défini par les RFC applicables. Voir le site de GMime pour voir les RFC utilisées. Cela est utile pour fournir une API qui suit les spécification de MIME d'aussi près que possible tout en fournissant une interface facile à utiliser pour les programmeur aux fonctions de l'API.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de GMime

Requises

GLib-2.64.2 et libgpg-error-1.37

Recommandées

Facultatives

DocBook-utils-0.6.14, GPGME-1.13.1, GTK-Doc-1.32, Vala-0.48.5 et Gtk# (requiert Mono)

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/gmime

Installation de GMime

Installez GMime en lançant les commandes suivantes :

./configure --prefix=/usr --disable-static &&
make

Pour tester les résultats lancez : make check.

Maintenant, en tant qu'utilisateur root :

make install

Explication des commandes

--disable-static : Ce paramètre empêche l'installation des versions statiques des bibliothèques.

--enable-gtk-doc : Utilisez ce paramètre si GTK-Doc est installé et si vous souhaitez reconstruire et installer la documentation de l'API.

Contents

Programmes installés: None
Bibliothèque installée: libgmime-3.0.so
Répertoires installés: /usr/include/gmime-3.0 et /usr/share/gtk-doc/html/gmime-3.0

Descriptions courtes

libgmime-3.0.so

contient les fonctions de l'API utilisées par les programmes qui ont besoin de suivre le standard MIME.

Last updated on 2020-03-21 21:00:58 +0000